function ret=getRandomGames(Patterns,Results) 
%This functions takes all games/results and divides them ( randomly ) to the learning and to the testing set

fprintf('getRandomGames()\n');
[rows cols] = size(Patterns);  %get number of patterns
perm=randperm(rows);   %random permutation of 1:rows
learn_ratio = 7/10;    %ratio of games are for learning ( the rest is for testing )

num_learn = round(learn_ratio*rows);
P_learn = Patterns([perm(1:num_learn)], :);  %games to learn  
R_learn = Results([perm(1:num_learn)], :);   %demanded results to learn 
 
test_ratio = 3/10;
num_test = round((test_ratio)*rows);  %number of games to test 
%P_test = Patterns([perm(1:num_learn)], :);  %games to learn  
%R_test = Results([perm(1:num_learn)], :);   %demanded results to learn 
P_test = Patterns([perm(num_learn:num_learn + num_test)], :); %games to test 
R_test = Results([perm(num_learn:num_learn + num_test)], :);  %demanded results to test 
 
ret.P_learn = P_learn;   %return both learning/testing set
ret.P_test = P_test;
ret.R_learn = R_learn;
ret.R_test = R_test;



