
clear; %we need a lot of memory  
allgames;
allmoves;  %load games/results

n_conf=networks_conf();  %load networks configuration
get=getRandomGames(Patterns, Results);  %extract games to learn and games to test 
clear('Patterns');
clear('Results');

for i=1:n_conf.num
	fprintf('------------------------Processing network number %d------------------------\n',i);  
	net=my_learn(n_conf.params(i),get.P_learn, get.R_learn);   %learn
	my_test(net, get.P_test, get.R_test);  %test

	save(sprintf('net_%d',i));  
	clear('learn');   %actions to save memory ... clean as much as possible
	pack;
end
quit
