function ret= my_learn(params,P_learn,R_learn)
%This function teaches neural network ( given in params ) on data given in P_learn to demanded results R_test 	 

fprintf('my_learn()\n');

P_learn = P_learn';
R_learn = R_learn';

net=newff(minmax(P_learn),params.arch,params.tf,params.lf); %create network 
net.trainParam.show = params.p_show;  %set network parameters
net.trainParam.lr = params.p_lr;
net.trainParam.mem_reduc = params.p_mem_reduc;
net.trainParam.epochs = params.p_epochs;
net.trainParam.goal = params.p_goal;

[net,tr]=train(net,P_learn,R_learn);  %train

ret=net;    %return net 
